Package pygccxml :: Package declarations :: Module matchers :: Class matcher_base_t

# type matcher_base_t

source code

    object --+
             |
            matcher_base_t

Known Subclasses:
  - access_type_matcher_t
  - , and_matcher_t
  - , declaration_matcher_t
  - , custom_matcher_t
  - , not_matcher_t
  - , or_matcher_t
  - , regex_matcher_t
  - , virtuality_type_matcher_t

matcher_base_t class defines interface for classes that will implement compare functionality according to some criteria.

Instance Methods

__init__(self) | source code

__call__(self, decl) | source code

__invert__(self) not-operator (~) | source code

__and__(self, other) and-operator (&) | source code

__or__(self, other) or-operator (|) | source code

__str__(self) | source code

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)